RyTask docs
REST APIWork itemsWork itemsItemidMove

Move on board (change status and/or position)

Single-row fractional reorder; logs a STATUS_CHANGED/MOVED activity entry (FR-VIEW-001).

View as MarkdownOpen in ChatGPTOpen in Claude
POST
/work-items/{itemId}/move

Single-row fractional reorder; logs a STATUS_CHANGED/MOVED activity entry (FR-VIEW-001).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

itemId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/work-items/497f6eca-6276-4993-bfeb-53cbbbba6f08/move" \  -H "Content-Type: application/json" \  -d '{    "version": 0  }'
{  "statusCode": 0,  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key": "string",    "number": 0,    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "title": "string",    "description": "string",    "statusId": "e900225c-0629-4e96-be6e-86a17a309645",    "priority": "URGENT",    "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd",    "reporterId": "997c436a-2349-4904-8879-2f8ba4e8669d",    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",    "childCount": 0,    "labelIds": [      "8972d346-8fd5-41c3-969c-36d0e4f16979"    ],    "estimateValue": 0,    "startDate": "2019-08-24",    "endDate": "2019-08-24",    "dueDate": "2019-08-24",    "overdue": true,    "position": 0,    "version": 0,    "completedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "string",  "statusCode": 0,  "message": [    "string"  ],  "timestamp": "2019-08-24T14:15:22Z",  "path": "string"}